# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: openssl
  version: 3.1.0
source:
  patches:
    - 0001-OBJ_nid2obj-Return-UNDEF-object-instead-of-NULL.patch
    - 0002-Fix-some-patches-related-to-error-exiting.patch
  sha256: aaa925ad9828745c4cad9d9efeb273deca820f2cdcf2c3ac7d7c1212b7c497b4
  url: http://www.openssl.org/source/openssl-3.1.0.tar.gz
build:
  no_link: lib/libcrypto.so.3.0
  number: 2
  run_exports:
    - openssl >=3.1.0,<4.0a0
  string: hd590300_2
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_12
    - gcc_impl_linux-64 12.2.0 hcc96c02_19
    - gcc_linux-64 12.2.0 h4798a0e_12
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 12.2.0 h3b97bd3_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 12.2.0 h46fd767_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - make 4.3 hd18ef5c_1
    - perl 5.32.1 2_h7f98852_perl5
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
  run:
    - ca-certificates
    - libgcc-ng >=12
test:
  commands:
    - touch checksum.txt
    - $PREFIX/bin/openssl sha256 checksum.txt
    - pkg-config --print-errors --exact-version "3.1.0" openssl
  requires:
    - pkg-config
about:
  dev_url: https://github.com/openssl/openssl
  doc_url: https://www.openssl.org/docs/man3.0/
  home: http://www.openssl.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: OpenSSL is an open-source implementation of the SSL and TLS protocols
extra:
  copy_test_source_files: true
  feedstock-name: openssl
  final: true
  recipe-maintainers:
    - h-vetinari
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
